Name:           dgit
Version:        2.12
Release:        2%{?dist}
Summary:        Integration between git and Debian-style archives
Group:          Applications/System
License:        GPLv3+
URL:            https://browse.dgit.debian.org/dgit.git/
# old way to build sources
# git clone https://git.dgit.debian.org/dgit
# cd dgit
# git archive --prefix=dgit-1.0/ debian/1.0 |gzip >../dgit-1.0.tar.gz
#
# new way to download sources
# wget http://http.debian.net/debian/pool/main/d/dgit/dgit_2.12.tar.gz
Source0:        http://http.debian.net/debian/pool/main/d/%{name}/%{name}_%{version}.tar.gz
BuildRequires:  perl-generators
BuildRequires:  perl-podlators
Requires:       devscripts
Requires:       curl
Requires:       git
Requires:       dpkg-dev
Requires:       tar
Requires:       coreutils
BuildArch:      noarch

%description
dgit (with the associated infrastructure) makes it possible to
treat the Debian archive as a git repository:

"dgit push" constructs uploads from git commits

"dgit clone" and "dgit fetch" construct git commits from uploads.


%prep
%setup -qn %{name}


%build


%check
# dput is not packaged,
# possibly need Internet connectivity anyway
#EMAIL=jello.biafra@dead.kennedys \
#       tests/using-intree make -f tests/Makefile


%install
# We don't do an install-infra, not sure if the Debian specific
# infrastructure tools would make sense to be packaged in Fedora.
make install DESTDIR="%{buildroot}" \
        prefix="%{_prefix}" \
        bindir="%{_bindir}" \
        mandir="%{_mandir}" \
        perldir="%{perl_vendorlib}" \
        infraexamplesdir="%{_pkgdocdir}/examples"


%files
%{_bindir}/dgit
%{_datadir}/%{name}
%{_mandir}/man1/dgit*.1*
%{_mandir}/man7/dgit*.7*
%{perl_vendorlib}/Debian
%doc debian/changelog README.*
%license debian/copyright


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 20 2016 Filipe Rosset <rosset.filipe@gmail.com> - 2.12-1
- Rebuilt for new upstream release 2.12, fixes rhbz #1358042

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 20 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0-1
- Initial packaging
